Name:           perl-Getopt-Long
Epoch:          1
Version:        2.54
Release:        1
Summary:        Extended processing of command line options
License:        Artistic or GPLv2+
URL:            https://metacpan.org/pod/Getopt::Long
Source0:        https://cpan.metacpan.org/authors/id/J/JV/JV/Getopt-Long-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make perl perl-generators perl(Config)
BuildRequires:  perl(constant) perl(Exporter) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(lib) perl(overload) perl(strict) perl(Text::ParseWords)
BuildRequires:  perl(vars) perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(overload)
Requires:       perl(Text::ParseWords)
Requires:       perl(Pod::Usage) >= 1.14
Provides:       perl(newgetopt.pl) = %{version}


%description
Module Getopt::Long implements an extended getopt function called
GetOptions(). This function implements the POSIX standard for command
line options, with GNU extensions, while still capable of handling
the traditional one-letter options.

%package_help

%prep
%autosetup -n Getopt-Long-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{?buildroot}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%pre

%preun

%post

%postun

%files
%doc Changes README examples
%{perl_vendorlib}/*

%files help
%{_mandir}/man3/*

%changelog
* Wed Jul 19 2023 dongyuzhen <dongyuzhen@h-partners.com> - 1:2.54-1
- upgrade version to 2.54

* Tue Oct 25 2022 dongyuzhen <dongyuzhen@h-partners.com> - 1:2.52-2
- Rebuild for next release

* Wed Jan 27 2021 yuanxin <yuanxin24@huawei.com> - 1:2.52-1
- upgrade version to 2.52

* Thu Jul 23 2020 xinghe <xinghe1@huawei.com> - 1:2.51-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 2.51

* Fri May 22 2020 openEuler Buildteam <buildteam@openeuler.org> - 1:2.50-420
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add Epoch for updating

* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.50-419
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:delete devel package

* Wed Jul 18 2018 openEuler Buildteam <buildteam@openeuler.org> - 2.50-418
- Package init
